document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.greeting-card');
  const heart = document.querySelector('.interactive-heart');
  const wishList = document.querySelectorAll('.wish-list li');
  let isFlipped = false;

  // Toggle card flip
  heart.addEventListener('click', () => {
    isFlipped = !isFlipped;
    card.classList.toggle('flipped');
    
    if (isFlipped) {
      // Animate wishes appearing
      wishList.forEach((wish, index) => {
        setTimeout(() => {
          wish.classList.add('visible');
          
          // Toggle between Chinese and Spanish text
          let isSpanish = false;
          setInterval(() => {
            wish.textContent = isSpanish ? wish.dataset.es : wish.dataset.cn;
            isSpanish = !isSpanish;
          }, 3000);
        }, index * 500);
      });
    }
  });

  // Keyboard accessibility
  heart.addEventListener('keypress', (e) => {
    if (e.key === 'Enter' || e.key === ' ') {
      heart.click();
    }
  });

  // Add hover effect to heart
  heart.addEventListener('mouseover', () => {
    heart.style.transform = 'scale(1.2)';
  });

  heart.addEventListener('mouseout', () => {
    heart.style.transform = 'scale(1)';
  });
});
